SHOW TRANSACTIONS lists details about currently active transactions, including:
- The node running the transaction
- The application that initiated the transaction
- The number of statements that have been executed on the transaction
- The number of times the transaction was retried (both manually and by the SQL executor)
Required privileges
No are required to execute this statement. However, note that non-admin users see only their own currently active transactions, whereas the admin users see all users’ currently active transactions.
Syntax
- To list the active transactions across all nodes of the cluster, use
SHOW TRANSACTIONSorSHOW CLUSTER TRANSACTIONS. - To list the active transactions just on the gateway node, use
SHOW LOCAL TRANSACTIONS. - To list internal transactions (that are issued by the database itself), use
SHOW ALL .. TRANSACTIONS.
Response
The following fields are returned for each transaction:| Field | Description |
|---|---|
node_id | The ID of the node running the transaction. |
txn_id | The ID of the transaction. |
application_name | The specified by the client, if any. For transactions from the , this will be $ cockroach sql. |
num_stmts | The number of statements that have been executed on the transaction. |
num_retries | The number of times that the transaction was retried. |
num_auto_retries | The number of times that the transaction was automatically retried by the SQL executor. |
Examples
List active transactions across the cluster
SHOW TRANSACTIONS to receive the same response.
List active transactions on the gateway node
Filter for specific transactions
You can use a statement to filter the list of currently active transactions by one or more of the response fields.Show transactions associated with a specific application
Exclude transactions from the built-in SQL client
To exclude transactions from the , filter for transactions that do not show$ cockroach sql as the application_name:

